.surly-models .cell {
    margin-bottom: 10px;
    padding: 0 1px;
}
.surly-models a {
    font-size: 0.8125rem;
    color: #fff;
    display: block;
    padding-bottom: 4px;
    background-color: var(--color-gray-10);
    transition: background-color 0.2s;
    border-radius: 5px;
    overflow: hidden;
}
.surly-models a:hover {
    background-color: var(--color-gray-20);
}
.surly-models img {
    mix-blend-mode: multiply;
}
.surly-models .product-group__name {
    background: var(--color-blue-50);
    margin-bottom: 8px;
}
@media only screen and (max-width: 639px) {
    .surly-models .product-group {
        max-height: 53vw;
        overflow: hidden;
        position: relative;
        transition: max-height 0.3s;
    }
    .surly-models .product-group__handle {
        position: absolute;
        width: 100%;
        height: 25px;
        text-align: center;
        background: linear-gradient(transparent, 35%, #fff);
        transform: translateY(-100%);
        width: calc(100% - 30px);
        border-bottom: 1px solid var(--color-gray-10);
        -webkit-tap-highlight-color: transparent;
    }
    .surly-models .product-group__handle:after {
        content: attr(data-expand); 
        display: inline-block;
        transform: translateY(22px);
        background-color: var(--color-orange-40);
        padding: 0 7px;
        line-height: 1.5;
    }
    #product-group__toggle:checked + .product-group {
        max-height: 1200px;
    }
    #product-group__toggle:checked ~ .product-group__handle {
        background: none;
        border: none;
    }
    #product-group__toggle:checked ~ .product-group__handle:after {
        content: attr(data-collapse);
        transform: translateY(18px);
    }
}